Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence.jdbc
Class DesktopDefinitionManagerImpl

    java.lang.Object
      |
      +--com.bea.netuix.application.manager.persistence.jdbc.DesktopDefinitionManagerImpl

All Implemented Interfaces:
  EnterpriseBean, IDesktopDefinitionManager, Serializable, SessionBean

public class DesktopDefinitionManagerImpl
extends Object
implements SessionBean, IDesktopDefinitionManager

See Also:
  Serialized Form

Field Summary
`protected static Debug` | `debug`

Constructor Summary
`DesktopDefinitionManagerImpl()`

Method Summary
`DesktopDefinition` | `createDesktopDefinition(CustomizationContext customizationContext, DesktopDefinition desktopDefinition)` Creates new desktop definition.
`DesktopDefinition` | `createDesktopDefinition(CustomizationContext customizationContext, DesktopView desktopView, String webapp)` Create new desktop definition in the persistent store from the given `view`.The `view` is typically constructed via the `XmlDisassembler`.
`void` | `deleteDesktopDefinition(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)` Delete the `DesktopDefinition` of the supplied desktop definition identifier.
`void` | `deleteDesktopDefinitionWithCascade(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)` Delete the `DesktopDefinition` of the supplied desktop definition id and all desktop instances associated with this definition.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`DesktopDefinition` | `getDesktopDefinition(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)` Getter for returning a single `DesktopDefinition` object given a supplied desktop definition identifier.
`DesktopDefinition[]` | `getDesktopDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `DesktopDefinitions` scoped to the supplied webapp.
`DesktopView` | `getDesktopView(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)` Getter for returning an immutable deep copy of a `DesktopView`.
`void` | `setSessionContext(SessionContext sessionContext)`
`void` | `updateDesktopDefinition(CustomizationContext customizationContext, DesktopDefinition desktopDefinition)` Update the persistent store for the supplied `DesktopDefinition`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

Constructor Detail

### DesktopDefinitionManagerImpl

    public DesktopDefinitionManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          RemoteException

    `CreateException`
    `RemoteException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException,
                            RemoteException

  Specified by:
    `ejbActivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException,
                             RemoteException

  Specified by:
    `ejbPassivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException,
                          RemoteException

  Specified by:
    `ejbRemove` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)
                           throws EJBException,
                                  RemoteException

  Specified by:
    `setSessionContext` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### getDesktopView

    public DesktopView getDesktopView(CustomizationContext customizationContext,
                                      DesktopDefinitionId desktopDefinitionId)

  Description copied from interface: `IDesktopDefinitionManager`

  Getter for returning an immutable deep copy of a `DesktopView`. The `DesktopView` object, unlike the `DesktopDefinition` or the `DesktopInstance` objects contains a full set of references to all child shells, pages, books and so on. The `DesktopView` object however is immutable.

  Specified by:
    `getDesktopView` in interface `IDesktopDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinitionId` - the unique desktopDefinitionId.
  Returns:
    an immutable deep copy DesktopView object if one exist, otherwise null.

### getDesktopDefinitions

    public DesktopDefinition[] getDesktopDefinitions(CustomizationContext customizationContext,
                                                     String webapp)
                                              throws RemoteException

  Description copied from interface: `IDesktopDefinitionManager`

  Getter for returning a list of all `DesktopDefinitions` scoped to the supplied webapp.

  Specified by:
    `getDesktopDefinitions` in interface `IDesktopDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `webapp` - the web application these desktop definitions are scoped to.
  Returns:
    an iterator of `DesktopDefinition` objects if they exist, otherwise, an empty iterator.
    `RemoteException`

### getDesktopDefinition

    public DesktopDefinition getDesktopDefinition(CustomizationContext customizationContext,
                                                  DesktopDefinitionId desktopDefinitionId)
                                           throws RemoteException

  Description copied from interface: `IDesktopDefinitionManager`

  Getter for returning a single `DesktopDefinition` object given a supplied desktop definition identifier.

  Specified by:
    `getDesktopDefinition` in interface `IDesktopDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinitionId` - the unique desktop definition identifier.
  Returns:
    a `DesktopDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `DesktopDefinition`

### deleteDesktopDefinition

    public void deleteDesktopDefinition(CustomizationContext customizationContext,
                                        DesktopDefinitionId desktopDefinitionId)
                                 throws RemoteException,
                                        ObjectNotFoundException,
                                        ObjectInUseException,
                                        NotEntitledException

  Description copied from interface: `IDesktopDefinitionManager`

  Delete the `DesktopDefinition` of the supplied desktop definition identifier.

  Specified by:
    `deleteDesktopDefinition` in interface `IDesktopDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinitionId` - the unique desktop definition identifier of the desktop to delete.
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectInUseException` - if this desktop definition is currently being used by desktop (user) instances.
    `ObjectNotFoundException` - if there is no DesktopDefinition associated with desktopDefinitionId.
    `RemoteException`

### deleteDesktopDefinitionWithCascade

    public void deleteDesktopDefinitionWithCascade(CustomizationContext customizationContext,
                                                   DesktopDefinitionId desktopDefinitionId)
                                            throws RemoteException,
                                                   ObjectNotFoundException,
                                                   NotEntitledException

  Description copied from interface: `IDesktopDefinitionManager`

  Delete the `DesktopDefinition` of the supplied desktop definition id and all desktop instances associated with this definition.

  Specified by:
    `deleteDesktopDefinitionWithCascade` in interface `IDesktopDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinitionId` - the unique desktop definition identifier of the desktop to delete.
  Throws:
    `ObjectNotFoundException` - if there is no DesktopDefinition associated with desktopDefinitionId.
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `RemoteException`

### updateDesktopDefinition

    public void updateDesktopDefinition(CustomizationContext customizationContext,
                                        DesktopDefinition desktopDefinition)
                                 throws RemoteException,
                                        ObjectNotFoundException,
                                        NotEntitledException

  Description copied from interface: `IDesktopDefinitionManager`

  Update the persistent store for the supplied `DesktopDefinition`. All attributes of the DesktopDefinition are updated in persistent store.

  Specified by:
    `updateDesktopDefinition` in interface `IDesktopDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinition` - the object containing the new data for the desktop definition.
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectNotFoundException` - the `DesktopDefinitionId` `RemoteException`

### createDesktopDefinition

    public DesktopDefinition createDesktopDefinition(CustomizationContext customizationContext,
                                                     DesktopDefinition desktopDefinition)
                                              throws RemoteException,
                                                     MissingDataException,
                                                     ObjectNotFoundException,
                                                     NotEntitledException,
                                                     DuplicateObjectException

  Description copied from interface: `IDesktopDefinitionManager`

  Creates new desktop definition. Creates a new desktop definition in the persistent store. This definition may be used to create desktop instance later on.

  Specified by:
    `createDesktopDefinition` in interface `IDesktopDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinition` - the desktop definition object containing all the required data.
  Returns:
    the fully populated (DesktopDefinitionId) DesktopDefinition
  Throws:
    `DuplicateObjectException` - if the `portalPath` and `desktopPath` combination already exist in the database
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `MissingDataException` - if some vital information is missing from the DesktopDefinition.
    `RemoteException`
    `ObjectNotFoundException`

### createDesktopDefinition

    public DesktopDefinition createDesktopDefinition(CustomizationContext customizationContext,
                                                     DesktopView desktopView,
                                                     String webapp)
                                              throws RemoteException,
                                                     NotEntitledException,
                                                     com.bea.netuix.application.transform.disassembler.view.ViewDisassemblerException,
                                                     DuplicateObjectException,
                                                     DuplicateDefinitionException

  Description copied from interface: `IDesktopDefinitionManager`

  Create new desktop definition in the persistent store from the given `view`.The `view` is typically constructed via the `XmlDisassembler`.

  Specified by:
    `createDesktopDefinition` in interface `IDesktopDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales, username and request, and most importantly `disassemblerTemplateAction`.
    `desktopView` - desktop view that has all the necessary information to create a desktop definition.
    `webapp` - the name of the webapp
  Returns:
    the desktop definition object containing all the required data.
  Throws:
    `NotEntitledException` - If the caller does not have the required permissions to create a desktop definition.
    `DuplicateDefinitionException` - if a book or page with the same definition label already exist in the database.
    `DuplicateObjectException` - if the `portalPath` and `desktopPath` combination already exist in the database
    `com.bea.netuix.application.transform.disassembler.view.ViewDisassemblerException` - If unable to disassemble the given desktop view `desktopView`. typically caused by some bad markup names in the view.
    `RemoteException`
  See Also:
    `CustomizationContext.setDisassemblerTemplateAction(int)`, `XmlDisassembler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved